package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.SysConfig;
import com.ym.mec.biz.dal.entity.SysTenantConfig;
import com.ym.mec.common.service.BaseService;

import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

public interface SysTenantConfigService extends BaseService<Integer, SysTenantConfig> {
    void setTenantConfig(ConcurrentHashMap<Integer,ConcurrentHashMap<String,String>> tenantConfig);

    String getTenantConfigValue(String paramName, Integer tenantId);

    ConcurrentHashMap<Integer,ConcurrentHashMap<String,String>> getAllTenantConfig();

    List<SysConfig> queryAll(Map<String, Object> params);

    void batchUpSet(List<SysConfig> sysConfigs, Integer tenantId);

    ConcurrentHashMap<String, String> queryAllMap(Integer tenantId);
}
